options(scipen = 999)

#In RStudio, sets working data to current script location.
setwd(dirname(rstudioapi::getActiveDocumentContext()$path))

library(dplyr)
library(tidyr)
library(writexl)
library(data.table)

library(sf)
library(classInt)
library(ggplot2)

year <- c(2011,2025)

# rm(list=ls())
# for (k in 1:length(year)){
#   reportsdir <- paste("D:/Old Projects Archive/Benefits Stuff/Benefit per ton/Mobile SA BPT/BPTv2_",year[k],"/Reports/", sep="")
# 
#   for (i in 1:19){
#     temp <- read.csv(paste(reportsdir,"benmap_O3_",year[k],"mobile_",formatC(i, width=3, flag="0"),"_Incidence_Results.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#     temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Acute Respiratory Symptoms','mrad',
#                                           ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                           ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_asthma',
#                                           ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                           ifelse(Endpoint.Group=='School Loss Days', 'school_loss_days',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Huang et al.', 'mortality_huang',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  All Cause', 'mortality_bell_allcause',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Zanobetti and Schwartz (b)', 'mortality_zanobetti',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Levy et al.', 'mortality_levy',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Schwartz', 'mortality_schwartz',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  Non-Accidental', 'mortality_bell_nonaccidental',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Ito et al.', 'mortality_ito',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & trimws(Other.Pollutants)=='PM10', 'mortality_smith_pm10',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & Other.Pollutants=='', 'mortality_smith','')))))))))))))),
#                            tag=as.character(i))
# 
#     temp1<-temp %>% select(tag, varname, Point.Estimate) %>% spread(key = varname, value = Point.Estimate) %>% mutate(variable='Point Estimate')
#     temp2<-temp %>% select(tag, varname, Percentile.2.5) %>% spread(key = varname, value = Percentile.2.5) %>% mutate(variable='Percentile 2.5')
#     temp3<-temp %>% select(tag, varname, Percentile.97.5) %>% spread(key = varname, value = Percentile.97.5) %>% mutate(variable='Percentile 97.5')
#     temp<-bind_rows(temp1,temp2,temp3)
#     assign(paste("tag", formatC(i, width=3, flag="0"),"_",year[k], sep=""), temp)
#   }
#   temp <- read.csv(paste(reportsdir,"benmap_O3_",year[k],"mobile_icbc_Incidence_Results.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#   temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Acute Respiratory Symptoms','mrad',
#                                         ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                         ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_asthma',
#                                         ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                         ifelse(Endpoint.Group=='School Loss Days', 'school_loss_days',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Huang et al.', 'mortality_huang',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  All Cause', 'mortality_bell_allcause',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Zanobetti and Schwartz (b)', 'mortality_zanobetti',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Levy et al.', 'mortality_levy',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Schwartz', 'mortality_schwartz',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  Non-Accidental', 'mortality_bell_nonaccidental',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Ito et al.', 'mortality_ito',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & trimws(Other.Pollutants)=='PM10', 'mortality_smith_pm10',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & Other.Pollutants=='', 'mortality_smith','')))))))))))))),
#     tag="icbc")
#   temp1<-temp %>% select(tag, varname, Point.Estimate) %>% spread(key = varname, value = Point.Estimate) %>% mutate(variable='Point Estimate')
#   temp2<-temp %>% select(tag, varname, Percentile.2.5) %>% spread(key = varname, value = Percentile.2.5) %>% mutate(variable='Percentile 2.5')
#   temp3<-temp %>% select(tag, varname, Percentile.97.5) %>% spread(key = varname, value = Percentile.97.5) %>% mutate(variable='Percentile 97.5')
#   temp<-bind_rows(temp1,temp2,temp3)
#   assign(paste("icbc","_",year[k], sep=""), temp)
# }
# 
# O3_2011_Incidence<-bind_rows("Biogenics + fugitive dusts + agricultural ammonia" = tag001_2011,
#                              "Nonroad recreational (incl. pleasure craft)" = tag002_2011,
#                              "Nonroad construction" = tag003_2011,
#                              "Nonroad lawn & garden commercial" = tag004_2011,
#                              "Nonroad lawn & garden residential" = tag005_2011,
#                              "Nonroad agriculture" = tag006_2011,
#                              "Nonroad commercial" = tag007_2011,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2011,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2011,
#                              "Onroad light duty gas trucks" = tag010_2011,
#                              "Onroad heavy duty gas + CNG" = tag011_2011,
#                              "Onroad light duty diesel" = tag012_2011,
#                              "Onroad heavy duty diesel" = tag013_2011,
#                              "c1c2 marine" = tag014_2011,
#                              "c3 marine" = tag015_2011,
#                              "Rail" = tag016_2011,
#                              "Aircraft (including ground support)" = tag017_2011,
#                              "Aircraft ground support only" = tag018_2011,
#                              "All other sectors" = tag019_2011,
#                              "ICBC"=icbc_2011,
#                              .id = "Sectors")
# 
# O3_2025_Incidence<-bind_rows("Biogenics + fugitive dusts + agricultural ammonia" = tag001_2025,
#                              "Nonroad recreational (incl. pleasure craft)" = tag002_2025,
#                              "Nonroad construction" = tag003_2025,
#                              "Nonroad lawn & garden commercial" = tag004_2025,
#                              "Nonroad lawn & garden residential" = tag005_2025,
#                              "Nonroad agriculture" = tag006_2025,
#                              "Nonroad commercial" = tag007_2025,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2025,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2025,
#                              "Onroad light duty gas trucks" = tag010_2025,
#                              "Onroad heavy duty gas + CNG" = tag011_2025,
#                              "Onroad light duty diesel" = tag012_2025,
#                              "Onroad heavy duty diesel" = tag013_2025,
#                              "c1c2 marine" = tag014_2025,
#                              "c3 marine" = tag015_2025,
#                              "Rail" = tag016_2025,
#                              "Aircraft (including ground support)" = tag017_2025,
#                              "Aircraft ground support only" = tag018_2025,
#                              "All other sectors" = tag019_2025,
#                              "ICBC"=icbc_2025,
#                              .id = "Sector")
# 
# write_xlsx(list('Point Estimate' = O3_2011_Incidence %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = O3_2011_Incidence %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = O3_2011_Incidence %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "O3_2011_Incidence.xlsx")
# 
# write_xlsx(list('Point Estimate' = O3_2025_Incidence %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = O3_2025_Incidence %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = O3_2025_Incidence %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "O3_2025_Incidence.xlsx")
# 
# rm(list = ls()[!(ls() %like% 'year' | ls() %like% 'PM'| ls() %like% 'O3')])
# 
# for (k in 1:length(year)){
#   reportsdir <- paste("D:/Old Projects Archive/Benefits Stuff/Benefit per ton/Mobile SA BPT/BPTv2_",year[k],"/Reports/", sep="")
# 
#   for (i in 2:18){
#     temp <- read.csv(paste(reportsdir,"benmap_PM_",year[k],"mobile_",formatC(i, width=3, flag="0"),"a_Incidence_Results.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#     temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Mortality' & Start.Age==0, 'woodruff',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Krewski et al.' & Start.Age==30, 'krewski',
#                                           ifelse(Endpoint.Group=='Mortality' & Start.Age==25, 'lepeule',
#                                           ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_resp',
#                                           ifelse(Endpoint.Group=='Acute Bronchitis', 'acute_bronchitis',
#                                           ifelse(Endpoint.Group=='Lower Respiratory Symptoms', 'lower_resp',
#                                           ifelse(Endpoint.Group=='Upper Respiratory Symptoms', 'upper_resp',
#                                           ifelse(Endpoint.Group=='Acute Respiratory Symptoms', 'acute_resp',
#                                           ifelse(Endpoint.Group=='Work Loss Days', 'work_loss_days',
#                                           ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                           ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Peters et al.' & Start.Age==18 & End.Age==99, 'ami_peters',
#                                           ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Pope et al. Sullivan et al. Zanobetti and Schwartz Zanobetti et al' & Start.Age==18 & End.Age==99, 'ami_others',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert A', 'expert_a',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert B', 'expert_b',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert C', 'expert_c',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert D', 'expert_d',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert E', 'expert_e',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert F', 'expert_f',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert G', 'expert_g',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert H', 'expert_h',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert I', 'expert_i',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert J', 'expert_j',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert K', 'expert_k',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert L', 'expert_l',
#                                           ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                           ifelse(Endpoint.Group=='Hospital Admissions  Cardiovascular', 'ha_cardio',''))))))))))))))))))))))))))) %>% filter(varname != '') %>% group_by(varname) %>%
#       summarize(Point.Estimate=sum(Point.Estimate), Percentile.2.5=sum(Percentile.2.5), Percentile.97.5=sum(Percentile.97.5)) %>%
#       mutate(tag=as.character(i))
# 
#     temp1<-temp %>% select(tag, varname, Point.Estimate) %>% spread(key = varname, value = Point.Estimate) %>% mutate(variable='Point Estimate')
#     temp2<-temp %>% select(tag, varname, Percentile.2.5) %>% spread(key = varname, value = Percentile.2.5) %>% mutate(variable='Percentile 2.5')
#     temp3<-temp %>% select(tag, varname, Percentile.97.5) %>% spread(key = varname, value = Percentile.97.5) %>% mutate(variable='Percentile 97.5')
#     temp<-bind_rows(temp1,temp2,temp3)
#     assign(paste("tag", formatC(i, width=3, flag="0"),"_",year[k], sep=""), temp)
#   }
#   temp <- read.csv(paste(reportsdir,"benmap_PM_",year[k],"mobile_001_019_icbc_Incidence_Results.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#   temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Mortality' & Start.Age==0, 'woodruff',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Krewski et al.' & Start.Age==30, 'krewski',
#                                         ifelse(Endpoint.Group=='Mortality' & Start.Age==25, 'lepeule',
#                                         ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_resp',
#                                         ifelse(Endpoint.Group=='Acute Bronchitis', 'acute_bronchitis',
#                                         ifelse(Endpoint.Group=='Lower Respiratory Symptoms', 'lower_resp',
#                                         ifelse(Endpoint.Group=='Upper Respiratory Symptoms', 'upper_resp',
#                                         ifelse(Endpoint.Group=='Acute Respiratory Symptoms', 'acute_resp',
#                                         ifelse(Endpoint.Group=='Work Loss Days', 'work_loss_days',
#                                         ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                         ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Peters et al.' & Start.Age==18 & End.Age==99, 'ami_peters',
#                                         ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Pope et al. Sullivan et al. Zanobetti and Schwartz Zanobetti et al' & Start.Age==18 & End.Age==99, 'ami_others',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert A', 'expert_a',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert B', 'expert_b',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert C', 'expert_c',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert D', 'expert_d',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert E', 'expert_e',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert F', 'expert_f',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert G', 'expert_g',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert H', 'expert_h',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert I', 'expert_i',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert J', 'expert_j',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert K', 'expert_k',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert L', 'expert_l',
#                                         ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                         ifelse(Endpoint.Group=='Hospital Admissions  Cardiovascular', 'ha_cardio',''))))))))))))))))))))))))))) %>% filter(varname != '') %>% group_by(varname) %>%
#     summarize(Point.Estimate=sum(Point.Estimate), Percentile.2.5=sum(Percentile.2.5), Percentile.97.5=sum(Percentile.97.5)) %>%
#     mutate(tag="001_019_icbc")
# 
#   temp1<-temp %>% select(tag, varname, Point.Estimate) %>% spread(key = varname, value = Point.Estimate) %>% mutate(variable='Point Estimate')
#   temp2<-temp %>% select(tag, varname, Percentile.2.5) %>% spread(key = varname, value = Percentile.2.5) %>% mutate(variable='Percentile 2.5')
#   temp3<-temp %>% select(tag, varname, Percentile.97.5) %>% spread(key = varname, value = Percentile.97.5) %>% mutate(variable='Percentile 97.5')
#   temp<-bind_rows(temp1,temp2,temp3)
#   assign(paste("tag001_019_icbc","_",year[k], sep=""), temp)
# }
# 
# PM_2011_Incidence<-bind_rows("Nonroad recreational (incl. pleasure craft)" = tag002_2011,
#                              "Nonroad construction" = tag003_2011,
#                              "Nonroad lawn & garden commercial" = tag004_2011,
#                              "Nonroad lawn & garden residential" = tag005_2011,
#                              "Nonroad agriculture" = tag006_2011,
#                              "Nonroad commercial" = tag007_2011,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2011,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2011,
#                              "Onroad light duty gas trucks" = tag010_2011,
#                              "Onroad heavy duty gas + CNG" = tag011_2011,
#                              "Onroad light duty diesel" = tag012_2011,
#                              "Onroad heavy duty diesel" = tag013_2011,
#                              "c1c2 marine" = tag014_2011,
#                              "c3 marine" = tag015_2011,
#                              "Rail" = tag016_2011,
#                              "Aircraft (including ground support)" = tag017_2011,
#                              "Aircraft ground support only" = tag018_2011,
#                              "Biogenics + fugitive dusts + agricultural ammonia + All other sectors + ICBC" = tag001_019_icbc_2011,
#                              .id = "Sector")
# 
# PM_2025_Incidence<-bind_rows("Nonroad recreational (incl. pleasure craft)" = tag002_2025,
#                              "Nonroad construction" = tag003_2025,
#                              "Nonroad lawn & garden commercial" = tag004_2025,
#                              "Nonroad lawn & garden residential" = tag005_2025,
#                              "Nonroad agriculture" = tag006_2025,
#                              "Nonroad commercial" = tag007_2025,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2025,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2025,
#                              "Onroad light duty gas trucks" = tag010_2025,
#                              "Onroad heavy duty gas + CNG" = tag011_2025,
#                              "Onroad light duty diesel" = tag012_2025,
#                              "Onroad heavy duty diesel" = tag013_2025,
#                              "c1c2 marine" = tag014_2025,
#                              "c3 marine" = tag015_2025,
#                              "Rail" = tag016_2025,
#                              "Aircraft (including ground support)" = tag017_2025,
#                              "Aircraft ground support only" = tag018_2025,
#                              "Biogenics + fugitive dusts + agricultural ammonia + All other sectors + ICBC" = tag001_019_icbc_2025,
#                              .id = "Sector")
# 
# write_xlsx(list('Point Estimate' = PM_2011_Incidence %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = PM_2011_Incidence %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = PM_2011_Incidence %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "PM_2011_Incidence.xlsx")
# 
# write_xlsx(list('Point Estimate' = PM_2025_Incidence %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = PM_2025_Incidence %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = PM_2025_Incidence %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "PM_2025_Incidence.xlsx")
# 
# rm(list = ls()[!(ls() %like% 'year' | ls() %like% 'PM'| ls() %like% 'O3')])
# 
# 
# for (k in 1:length(year)){
#   reportsdir <- paste("D:/Old Projects Archive/Benefits Stuff/Benefit per ton/Mobile SA BPT/BPTv2_",year[k],"/Reports/", sep="")
# 
#   for (i in 1:19){
#     temp <- read.csv(paste(reportsdir,"benmap_O3_",year[k],"mobile_",formatC(i, width=3, flag="0"),"_Incidence_Results_County.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#     temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Acute Respiratory Symptoms','mrad',
#                                           ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                           ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_asthma',
#                                           ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                           ifelse(Endpoint.Group=='School Loss Days', 'school_loss_days',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Huang et al.', 'mortality_huang',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  All Cause', 'mortality_bell_allcause',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Zanobetti and Schwartz (b)', 'mortality_zanobetti',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Levy et al.', 'mortality_levy',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Schwartz', 'mortality_schwartz',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  Non-Accidental', 'mortality_bell_nonaccidental',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Ito et al.', 'mortality_ito',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & trimws(Other.Pollutants)=='PM10', 'mortality_smith_pm10',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & Other.Pollutants=='', 'mortality_smith','')))))))))))))),
#                            tag=as.character(i))
# 
#     temp1 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Point.Estimate") %>% mutate(variable='Point Estimate')
#     temp2 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.2.5") %>% mutate(variable='Percentile.2.5')
#     temp3 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.97.5") %>% mutate(variable='Percentile.97.5')
#     temp<-bind_rows(temp1,temp2,temp3)
#     assign(paste("tag", formatC(i, width=3, flag="0"),"_",year[k], sep=""), temp)
#   }
#   temp <- read.csv(paste(reportsdir,"benmap_O3_",year[k],"mobile_icbc_Incidence_Results_County.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#   temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Acute Respiratory Symptoms','mrad',
#                                         ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                         ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_asthma',
#                                         ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                         ifelse(Endpoint.Group=='School Loss Days', 'school_loss_days',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Huang et al.', 'mortality_huang',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  All Cause', 'mortality_bell_allcause',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Zanobetti and Schwartz (b)', 'mortality_zanobetti',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Levy et al.', 'mortality_levy',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Schwartz', 'mortality_schwartz',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Bell et al.' & Endpoint=='Mortality  Non-Accidental', 'mortality_bell_nonaccidental',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Ito et al.', 'mortality_ito',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & trimws(Other.Pollutants)=='PM10', 'mortality_smith_pm10',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Smith et al.' & Other.Pollutants=='', 'mortality_smith','')))))))))))))),
#                          tag="icbc")
#     temp1 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Point.Estimate") %>% mutate(variable='Point Estimate')
#     temp2 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.2.5") %>% mutate(variable='Percentile.2.5')
#     temp3 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.97.5") %>% mutate(variable='Percentile.97.5')
#     temp<-bind_rows(temp1,temp2,temp3)
#     assign(paste("icbc","_",year[k], sep=""), temp)
# }
# 
# O3_2011_Incidence_County<-bind_rows("Biogenics + fugitive dusts + agricultural ammonia" = tag001_2011,
#                              "Nonroad recreational (incl. pleasure craft)" = tag002_2011,
#                              "Nonroad construction" = tag003_2011,
#                              "Nonroad lawn & garden commercial" = tag004_2011,
#                              "Nonroad lawn & garden residential" = tag005_2011,
#                              "Nonroad agriculture" = tag006_2011,
#                              "Nonroad commercial" = tag007_2011,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2011,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2011,
#                              "Onroad light duty gas trucks" = tag010_2011,
#                              "Onroad heavy duty gas + CNG" = tag011_2011,
#                              "Onroad light duty diesel" = tag012_2011,
#                              "Onroad heavy duty diesel" = tag013_2011,
#                              "c1c2 marine" = tag014_2011,
#                              "c3 marine" = tag015_2011,
#                              "Rail" = tag016_2011,
#                              "Aircraft (including ground support)" = tag017_2011,
#                              "Aircraft ground support only" = tag018_2011,
#                              "All other sectors" = tag019_2011,
#                              "ICBC"=icbc_2011,
#                              .id = "Sector")
# 
# O3_2025_Incidence_County<-bind_rows("Biogenics + fugitive dusts + agricultural ammonia" = tag001_2025,
#                              "Nonroad recreational (incl. pleasure craft)" = tag002_2025,
#                              "Nonroad construction" = tag003_2025,
#                              "Nonroad lawn & garden commercial" = tag004_2025,
#                              "Nonroad lawn & garden residential" = tag005_2025,
#                              "Nonroad agriculture" = tag006_2025,
#                              "Nonroad commercial" = tag007_2025,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2025,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2025,
#                              "Onroad light duty gas trucks" = tag010_2025,
#                              "Onroad heavy duty gas + CNG" = tag011_2025,
#                              "Onroad light duty diesel" = tag012_2025,
#                              "Onroad heavy duty diesel" = tag013_2025,
#                              "c1c2 marine" = tag014_2025,
#                              "c3 marine" = tag015_2025,
#                              "Rail" = tag016_2025,
#                              "Aircraft (including ground support)" = tag017_2025,
#                              "Aircraft ground support only" = tag018_2025,
#                              "All other sectors" = tag019_2025,
#                              "ICBC"=icbc_2025,
#                              .id = "Sector")
# 
# write_xlsx(list('Point Estimate' = O3_2011_Incidence_County %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = O3_2011_Incidence_County %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = O3_2011_Incidence_County %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "O3_2011_Incidence_County.xlsx")
# 
# write_xlsx(list('Point Estimate' = O3_2025_Incidence_County %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = O3_2025_Incidence_County %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = O3_2025_Incidence_County %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "O3_2025_Incidence_County.xlsx")
# 
# rm(list = ls()[!(ls() %like% 'year' | ls() %like% 'PM'| ls() %like% 'O3')])
# 
# for (k in 1:length(year)){
#   reportsdir <- paste("D:/Old Projects Archive/Benefits Stuff/Benefit per ton/Mobile SA BPT/BPTv2_",year[k],"/Reports/", sep="")
# 
#   for (i in 2:18){
#     temp <- read.csv(paste(reportsdir,"benmap_PM_",year[k],"mobile_",formatC(i, width=3, flag="0"),"a_Incidence_Results_County.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#     temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Mortality' & Start.Age==0, 'woodruff',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Krewski et al.' & Start.Age==30, 'krewski',
#                                           ifelse(Endpoint.Group=='Mortality' & Start.Age==25, 'lepeule',
#                                           ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_resp',
#                                           ifelse(Endpoint.Group=='Acute Bronchitis', 'acute_bronchitis',
#                                           ifelse(Endpoint.Group=='Lower Respiratory Symptoms', 'lower_resp',
#                                           ifelse(Endpoint.Group=='Upper Respiratory Symptoms', 'upper_resp',
#                                           ifelse(Endpoint.Group=='Acute Respiratory Symptoms', 'acute_resp',
#                                           ifelse(Endpoint.Group=='Work Loss Days', 'work_loss_days',
#                                           ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                           ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Peters et al.' & Start.Age==18 & End.Age==99, 'ami_peters',
#                                           ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Pope et al. Sullivan et al. Zanobetti and Schwartz Zanobetti et al' & Start.Age==18 & End.Age==99, 'ami_others',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert A', 'expert_a',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert B', 'expert_b',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert C', 'expert_c',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert D', 'expert_d',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert E', 'expert_e',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert F', 'expert_f',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert G', 'expert_g',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert H', 'expert_h',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert I', 'expert_i',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert J', 'expert_j',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert K', 'expert_k',
#                                           ifelse(Endpoint.Group=='Mortality' & Author=='Expert L', 'expert_l',
#                                           ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                           ifelse(Endpoint.Group=='Hospital Admissions  Cardiovascular', 'ha_cardio',''))))))))))))))))))))))))))) %>% filter(varname != '') %>% group_by(varname, Column, Row) %>%
#       summarize(Point.Estimate=sum(Point.Estimate), Percentile.2.5=sum(Percentile.2.5), Percentile.97.5=sum(Percentile.97.5)) %>%
#       mutate(tag=as.character(i))
# 
#     temp1 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Point.Estimate") %>% mutate(variable='Point Estimate')
#     temp2 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.2.5") %>% mutate(variable='Percentile.2.5')
#     temp3 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.97.5") %>% mutate(variable='Percentile.97.5')
#     temp<-bind_rows(temp1,temp2,temp3)
#     assign(paste("tag", formatC(i, width=3, flag="0"),"_",year[k], sep=""), temp)
#   }
#   temp <- read.csv(paste(reportsdir,"benmap_PM_",year[k],"mobile_001_019_icbc_Incidence_Results_County.csv", sep=""),header=TRUE, fileEncoding = "UTF-8-BOM")
#   temp<- temp %>% mutate(varname=ifelse(Endpoint.Group=='Mortality' & Start.Age==0, 'woodruff',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Krewski et al.' & Start.Age==30, 'krewski',
#                                         ifelse(Endpoint.Group=='Mortality' & Start.Age==25, 'lepeule',
#                                         ifelse(Endpoint.Group=='Emergency Room Visits  Respiratory', 'er_visits_resp',
#                                         ifelse(Endpoint.Group=='Acute Bronchitis', 'acute_bronchitis',
#                                         ifelse(Endpoint.Group=='Lower Respiratory Symptoms', 'lower_resp',
#                                         ifelse(Endpoint.Group=='Upper Respiratory Symptoms', 'upper_resp',
#                                         ifelse(Endpoint.Group=='Acute Respiratory Symptoms', 'acute_resp',
#                                         ifelse(Endpoint.Group=='Work Loss Days', 'work_loss_days',
#                                         ifelse(Endpoint.Group=='Asthma Exacerbation', 'asthma_exacerbation',
#                                         ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Peters et al.' & Start.Age==18 & End.Age==99, 'ami_peters',
#                                         ifelse(Endpoint.Group=='Acute Myocardial Infarction' & Author=='Pope et al. Sullivan et al. Zanobetti and Schwartz Zanobetti et al' & Start.Age==18 & End.Age==99, 'ami_others',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert A', 'expert_a',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert B', 'expert_b',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert C', 'expert_c',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert D', 'expert_d',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert E', 'expert_e',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert F', 'expert_f',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert G', 'expert_g',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert H', 'expert_h',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert I', 'expert_i',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert J', 'expert_j',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert K', 'expert_k',
#                                         ifelse(Endpoint.Group=='Mortality' & Author=='Expert L', 'expert_l',
#                                         ifelse(Endpoint.Group=='Hospital Admissions  Respiratory', 'ha_resp',
#                                         ifelse(Endpoint.Group=='Hospital Admissions  Cardiovascular', 'ha_cardio',''))))))))))))))))))))))))))) %>% filter(varname != '') %>% group_by(varname, Column, Row) %>%
#     summarize(Point.Estimate=sum(Point.Estimate), Percentile.2.5=sum(Percentile.2.5), Percentile.97.5=sum(Percentile.97.5)) %>%
#     mutate(tag="1_19_icbc")
# 
#   temp1 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Point.Estimate") %>% mutate(variable='Point Estimate')
#   temp2 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.2.5") %>% mutate(variable='Percentile.2.5')
#   temp3 <- dcast(setDT(temp), tag + Column + Row ~ varname , value.var = "Percentile.97.5") %>% mutate(variable='Percentile.97.5')
#   temp<-bind_rows(temp1,temp2,temp3)
#   assign(paste("tag001_019_icbc","_",year[k], sep=""), temp)
# }
# 
# PM_2011_Incidence_County<-bind_rows("Nonroad recreational (incl. pleasure craft)" = tag002_2011,
#                              "Nonroad construction" = tag003_2011,
#                              "Nonroad lawn & garden commercial" = tag004_2011,
#                              "Nonroad lawn & garden residential" = tag005_2011,
#                              "Nonroad agriculture" = tag006_2011,
#                              "Nonroad commercial" = tag007_2011,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2011,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2011,
#                              "Onroad light duty gas trucks" = tag010_2011,
#                              "Onroad heavy duty gas + CNG" = tag011_2011,
#                              "Onroad light duty diesel" = tag012_2011,
#                              "Onroad heavy duty diesel" = tag013_2011,
#                              "c1c2 marine" = tag014_2011,
#                              "c3 marine" = tag015_2011,
#                              "Rail" = tag016_2011,
#                              "Aircraft (including ground support)" = tag017_2011,
#                              "Aircraft ground support only" = tag018_2011,
#                              "Biogenics + fugitive dusts + agricultural ammonia + All other sectors + ICBC" = tag001_019_icbc_2011,
#                              .id = "Sector")
# 
# PM_2025_Incidence_County<-bind_rows("Nonroad recreational (incl. pleasure craft)" = tag002_2025,
#                              "Nonroad construction" = tag003_2025,
#                              "Nonroad lawn & garden commercial" = tag004_2025,
#                              "Nonroad lawn & garden residential" = tag005_2025,
#                              "Nonroad agriculture" = tag006_2025,
#                              "Nonroad commercial" = tag007_2025,
#                              "Nonroad all other: (industrial, logging, mining, oil field)" = tag008_2025,
#                              "Onroad light duty gas cars and motorcycles" = tag009_2025,
#                              "Onroad light duty gas trucks" = tag010_2025,
#                              "Onroad heavy duty gas + CNG" = tag011_2025,
#                              "Onroad light duty diesel" = tag012_2025,
#                              "Onroad heavy duty diesel" = tag013_2025,
#                              "c1c2 marine" = tag014_2025,
#                              "c3 marine" = tag015_2025,
#                              "Rail" = tag016_2025,
#                              "Aircraft (including ground support)" = tag017_2025,
#                              "Aircraft ground support only" = tag018_2025,
#                              "Biogenics + fugitive dusts + agricultural ammonia + All other sectors + ICBC" = tag001_019_icbc_2025,
#                              .id = "Sector")
# 
# write_xlsx(list('Point Estimate' = PM_2011_Incidence_County %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = PM_2011_Incidence_County %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = PM_2011_Incidence_County %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "PM_2011_Incidence_County.xlsx")
# 
# write_xlsx(list('Point Estimate' = PM_2025_Incidence_County %>% filter(variable=="Point Estimate") %>% select(-variable),
#                 'Percentile 2.5' = PM_2025_Incidence_County %>% filter(variable=="Percentile 2.5") %>% select(-variable),
#                 'Percentile 97.5' = PM_2025_Incidence_County %>% filter(variable=="Percentile 97.5") %>% select(-variable)),
#            "PM_2025_Incidence_County.xlsx")
# 
# rm(list = ls()[!(ls() %like% 'year' |ls() %like% 'PM'| ls() %like% 'O3')])
# 
# counties <- st_read("C:/Users/CFULCHER/AppData/Local/BenMAP-CE/Data/Shapefiles/United States/County_epa2.shp", quiet = TRUE,
#                     stringsAsFactors=FALSE)
# 
# baseline_2011 <- read.csv("baselinemortality_2011_0to99.CSV",header=TRUE, fileEncoding = "UTF-8-BOM") %>%
#   select(Col,Row,Baseline) %>% rename(Column=Col)
# baseline_2025 <- read.csv("baselinemortality_2025_0to99.CSV",header=TRUE, fileEncoding = "UTF-8-BOM") %>%
#   select(Col,Row,Baseline) %>% rename(Column=Col)
# 
# pm_county_mortality_2011<-PM_2011_Incidence_County %>%
#   filter(variable=="Point Estimate") %>%
#   select(Sector,tag,Column,Row,krewski) %>%
#   rename(pm_mortality=krewski)
# 
# o3_county_mortality_2011<-O3_2011_Incidence_County %>%
#   filter(variable=="Point Estimate") %>%
#   select(Sector,tag,Column,Row,mortality_smith) %>%
#   mutate(tag=ifelse(tag %in% c('1','19','icbc'),'1_19_icbc',tag),
#          Sector=ifelse(tag == '1_19_icbc', "Biogenics + fugitive dusts + agricultural ammonia + All other sectors + ICBC",Sector)) %>%
#   group_by(Sector,tag,Column,Row) %>%
#   summarize(o3_mortality=sum(mortality_smith))
# 
# county_mortality_2011<-pm_county_mortality_2011 %>% full_join(o3_county_mortality_2011, by=c("Sector","tag","Column","Row")) %>%
#   left_join(baseline_2011, by=c("Column","Row")) %>% mutate(percent=((pm_mortality+o3_mortality)/Baseline)*100)
# 
# pm_county_mortality_2025<-PM_2025_Incidence_County %>%
#   filter(variable=="Point Estimate") %>%
#   select(Sector,tag,Column,Row,krewski) %>%
#   rename(pm_mortality=krewski)
# o3_county_mortality_2025<-O3_2025_Incidence_County %>%
#   filter(variable=="Point Estimate") %>%
#   select(Sector,tag,Column,Row,mortality_smith) %>%
#   mutate(tag=ifelse(tag %in% c('1','19','icbc'),'1_19_icbc',tag),
#          Sector=ifelse(tag == '1_19_icbc', "Biogenics + fugitive dusts + agricultural ammonia + All other sectors + ICBC",Sector)) %>%
#   group_by(Sector,tag,Column,Row) %>%
#   summarize(o3_mortality=sum(mortality_smith))
# county_mortality_2025<-pm_county_mortality_2025 %>% full_join(o3_county_mortality_2025, by=c("Sector","tag","Column","Row")) %>%
#   left_join(baseline_2025, by=c("Column","Row")) %>% mutate(percent=((pm_mortality+o3_mortality)/Baseline)*100)
# 
# for (t in 2:18){
#   county_mortality_2011_subset<-county_mortality_2011 %>% filter(tag == as.character(t))
#   
#   counties_tmp <- counties %>% left_join(county_mortality_2011_subset, by = c("COL"="Column","ROW" = "Row"))
#   counties_tmp$brks <- cut(counties_tmp$percent,
#                            breaks=c(-Inf, .025, .05, .1, .15, .25, Inf),
#                            labels = c("<.025", ".025 - .05", ".05 - .1", ".1 - .15", ".15 - .25", ">.25"))
#   
#   figure <- counties_tmp  %>% ggplot() + ggtitle("2011") +
#     geom_sf(aes(fill = brks), colour = rgb(97, 97, 117, maxColorValue = 255), size = .25) +
#     #  geom_sf(data=states, fill = NA, colour = rgb(104, 104, 104, maxColorValue = 255), size = .25) +
#     scale_fill_manual(values = c(rgb(2, 2, 158, maxColorValue = 255),rgb(0,94,160, maxColorValue = 255),
#                                  rgb(0,155,124, maxColorValue = 255),rgb(134,155,21, maxColorValue = 255),
#                                  rgb(177,100,0, maxColorValue = 255),rgb(181,0,0, maxColorValue = 255)),
#                       name = "Percentage of deaths attributable to PM2.5 & O3",
#                       guide = guide_legend(keywidth = .75,keyheight = .75),
#                       drop=FALSE) +
#     coord_sf(crs = 5070, datum = NA) +
#     theme(legend.position = "bottom", legend.direction="vertical", legend.justification = c("left", "top"), legend.text=element_text(size=7), legend.title = element_text(size=7, face="bold")) +
#     facet_wrap(~ Sector, nrow=2)
#   
#   ggsave(paste("Mortality Percentage - Tag ", t, " - 2011.jpg", sep = ""), figure, width=7, height=6.5, units="in", dpi=300)
# }
# 
# for (t in 2:18){
#   county_mortality_2025_subset<-county_mortality_2025 %>% filter(tag == as.character(t))
#   
#   counties_tmp <- counties %>% left_join(county_mortality_2025_subset, by = c("COL"="Column","ROW" = "Row"))
#   counties_tmp$brks <- cut(counties_tmp$percent,
#                            breaks=c(-Inf, .025, .05, .1, .15, .25, Inf),
#                            labels = c("<.025", ".025 - .05", ".05 - .1", ".1 - .15", ".15 - .25", ">.25"))
#   
#   figure <- counties_tmp  %>% ggplot() + ggtitle("2025") +
#     geom_sf(aes(fill = brks), colour = rgb(97, 97, 117, maxColorValue = 255), size = .25) +
#     #  geom_sf(data=states, fill = NA, colour = rgb(104, 104, 104, maxColorValue = 255), size = .25) +
#     scale_fill_manual(values = c(rgb(2, 2, 158, maxColorValue = 255),rgb(0,94,160, maxColorValue = 255),
#                                  rgb(0,155,124, maxColorValue = 255),rgb(134,155,21, maxColorValue = 255),
#                                  rgb(177,100,0, maxColorValue = 255),rgb(181,0,0, maxColorValue = 255)),
#                       name = "Percentage of deaths attributable to PM2.5 & O3",
#                       guide = guide_legend(keywidth = .75,keyheight = .75),
#                       drop=FALSE) +
#     coord_sf(crs = 5070, datum = NA) +
#     theme(legend.position = "bottom", legend.direction="vertical", legend.justification = c("left", "top"), legend.text=element_text(size=7), legend.title = element_text(size=7, face="bold")) +
#     facet_wrap(~ Sector, nrow=2)
#   
#   ggsave(paste("Mortality Percentage - Tag ", t, " - 2025.jpg", sep = ""), figure, width=7, height=6.5, units="in", dpi=300)
# }

o3_county_mortality_2011_grouped <- o3_county_mortality_2011 %>% 
  mutate(sectorgroup=ifelse(tag %in% c('2','3','4','5','6','7','8'),"Nonroad mobile",
                      ifelse(tag %in% c('9','10','11','12','13'),"Onroad mobile",
                             ifelse(tag %in% c('14','15','16','17','18'),"Air, Rail, and Marine","")))) %>%
  filter(sectorgroup != "") %>% group_by(sectorgroup,Column,Row) %>%
  summarize(o3_mortality=sum(o3_mortality))

pm_county_mortality_2011_grouped <- pm_county_mortality_2011 %>% 
  mutate(sectorgroup=ifelse(tag %in% c('2','3','4','5','6','7','8'),"Nonroad mobile",
                            ifelse(tag %in% c('9','10','11','12','13'),"Onroad mobile",
                                   ifelse(tag %in% c('14','15','16','17','18'),"Air, Rail, and Marine","")))) %>%
  filter(sectorgroup != "") %>% group_by(sectorgroup,Column,Row) %>%
  summarize(pm_mortality=sum(pm_mortality))                                                                                     

county_mortality_2011_grouped<-pm_county_mortality_2011_grouped %>% full_join(o3_county_mortality_2011_grouped, by=c("sectorgroup","Column","Row")) %>%
  left_join(baseline_2011, by=c("Column","Row")) %>% mutate(percent=((pm_mortality+o3_mortality)/Baseline)*100)


o3_county_mortality_2025_grouped <- o3_county_mortality_2025 %>% 
  mutate(sectorgroup=ifelse(tag %in% c('2','3','4','5','6','7','8'),"Nonroad mobile",
                            ifelse(tag %in% c('9','10','11','12','13'),"Onroad mobile",
                                   ifelse(tag %in% c('14','15','16','17','18'),"Air, Rail, and Marine","")))) %>%
  filter(sectorgroup != "") %>% group_by(sectorgroup,Column,Row) %>%
  summarize(o3_mortality=sum(o3_mortality))

pm_county_mortality_2025_grouped <- pm_county_mortality_2025 %>% 
  mutate(sectorgroup=ifelse(tag %in% c('2','3','4','5','6','7','8'),"Nonroad mobile",
                            ifelse(tag %in% c('9','10','11','12','13'),"Onroad mobile",
                                   ifelse(tag %in% c('14','15','16','17','18'),"Air, Rail, and Marine","")))) %>%
  filter(sectorgroup != "") %>% group_by(sectorgroup,Column,Row) %>%
  summarize(pm_mortality=sum(pm_mortality))                                                                                     

county_mortality_2025_grouped<-pm_county_mortality_2025_grouped %>% full_join(o3_county_mortality_2025_grouped, by=c("sectorgroup","Column","Row")) %>%
  left_join(baseline_2025, by=c("Column","Row")) %>% mutate(percent=((pm_mortality+o3_mortality)/Baseline)*100)

for (t in c("Nonroad mobile","Onroad mobile","Air, Rail, and Marine")){
  county_mortality_2011_subset<-county_mortality_2011_grouped %>% filter(sectorgroup == t)

  counties_tmp <- counties %>% left_join(county_mortality_2011_subset, by = c("COL"="Column","ROW" = "Row"))
  counties_tmp$brks <- cut(counties_tmp$percent,
                           breaks=c(-Inf, .1, .2, .3, .4, .5, Inf),
                           labels = c("<.1", ".1 - .2", ".2 - .3", ".3 - .4", ".4 - .5", ">.5"))

  figure <- counties_tmp  %>% ggplot() + ggtitle("2011") +
    geom_sf(aes(fill = brks), colour = rgb(97, 97, 117, maxColorValue = 255), size = .25) +
    #  geom_sf(data=states, fill = NA, colour = rgb(104, 104, 104, maxColorValue = 255), size = .25) +
    scale_fill_manual(values = c(rgb(2, 2, 158, maxColorValue = 255),rgb(0,94,160, maxColorValue = 255),
                                 rgb(0,155,124, maxColorValue = 255),rgb(134,155,21, maxColorValue = 255),
                                 rgb(177,100,0, maxColorValue = 255),rgb(181,0,0, maxColorValue = 255)),
                      name = "Percentage of deaths attributable to PM2.5 & O3",
                      guide = guide_legend(keywidth = .75,keyheight = .75),
                      drop=FALSE) +
    coord_sf(crs = 5070, datum = NA) +
    theme(legend.position = "bottom", legend.direction="vertical", legend.justification = c("left", "top"), legend.text=element_text(size=7), legend.title = element_text(size=7, face="bold")) +
    facet_wrap(~ sectorgroup, nrow=2)

  ggsave(paste("Mortality Percentage - ", t, " - 2011.jpg", sep = ""), figure, width=7, height=6.5, units="in", dpi=300)
}

for (t in c("Nonroad mobile","Onroad mobile","Air, Rail, and Marine")){
  county_mortality_2025_subset<-county_mortality_2025_grouped %>% filter(sectorgroup == t)
  
  counties_tmp <- counties %>% left_join(county_mortality_2025_subset, by = c("COL"="Column","ROW" = "Row"))
  counties_tmp$brks <- cut(counties_tmp$percent,
                           breaks=c(-Inf, .1, .2, .3, .4, .5, Inf),
                           labels = c("<.1", ".1 - .2", ".2 - .3", ".3 - .4", ".4 - .5", ">.5"))
  
  figure <- counties_tmp  %>% ggplot() + ggtitle("2025") +
    geom_sf(aes(fill = brks), colour = rgb(97, 97, 117, maxColorValue = 255), size = .25) +
    #  geom_sf(data=states, fill = NA, colour = rgb(104, 104, 104, maxColorValue = 255), size = .25) +
    scale_fill_manual(values = c(rgb(2, 2, 158, maxColorValue = 255),rgb(0,94,160, maxColorValue = 255),
                                 rgb(0,155,124, maxColorValue = 255),rgb(134,155,21, maxColorValue = 255),
                                 rgb(177,100,0, maxColorValue = 255),rgb(181,0,0, maxColorValue = 255)),
                      name = "Percentage of deaths attributable to PM2.5 & O3",
                      guide = guide_legend(keywidth = .75,keyheight = .75),
                      drop=FALSE) +
    coord_sf(crs = 5070, datum = NA) +
    theme(legend.position = "bottom", legend.direction="vertical", legend.justification = c("left", "top"), legend.text=element_text(size=7), legend.title = element_text(size=7, face="bold")) +
    facet_wrap(~ sectorgroup, nrow=2)
  
  ggsave(paste("Mortality Percentage - ", t, " - 2025.jpg", sep = ""), figure, width=7, height=6.5, units="in", dpi=300)
}
